at.chipkarte.client.das.soap

## Class IEKOMedicament

- Object
- - at.chipkarte.client.das.soap.IEKOMedicament

-     public class IEKOMedicament
      extends Object

  Detaildaten der in Vergelich gefundenen Arzneispezialität.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IEKOMedicament()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAmount()` Menge und Mengenart der Arzneispezialität.
    `String` | `getAtcCode()` Der ATC-Code des Hauptwirkstoffes der Arzneispezialität.
    `String` | `getBox()` Boxenzuordnung der Arzneispezialität (grüne oder gelbe Box).
    `String` | `getDispensingCount()` Abgabeanzahl der Arzneispezialität.
    `String` | `getDivisibility()` Teilbarkeit der Arzneispezialität.
    `String` | `getDosageForm()` Dareichungsform der Arzneispezialität.
    `String` | `getHealthInsuranceSign()` Kassenzeichen der Arzneispezialität.
    `IEKOIngredient[]` | `getIEKOIngredient()` Beinhaltet die Detaildaten der Wirkstoffe zur Arzneispezialität.
    `String` | `getIndicationText()` Indikationstextext der Arzneispezialität.
    `String` | `getIndicationTextHTMLFormatted()` Indikationstext der Arzneispezialität in HTML Format.
    `String` | `getInformationText()` Hinweistext der Arzneispezialität.
    `String` | `getIngredientInformation()` Informationen zu den Wirkstoff(en) in der Arzneispezialität.
    `String` | `getIngredientName()` Der Name (die Bedeutung) des Wirkstoffes.
    `String` | `getIngredientNarcoticSign()` Suchtgift Vignette der Arzneispezialität.
    `String` | `getLongTermPermission()` Langzeitbewilligung-Kennzeichnung der Arzneispezialität.
    `String` | `getMedicamentName()` Name der Arzneispezialität.
    `String` | `getPackageInformation()` Hinweis zur Packung der Arzneispezialität.
    `String` | `getPackageNumber()` Packungsnummer der Arzneispezialität.
    `String` | `getPharmaNumber()` Die Pharmanummer der Arzneispezialität.
    `String` | `getPreismodell()` Preismodell der Arzneispezialität.
    `String` | `getPrescriptionRequirementDescription()` Rezeptpflichtbezeichnung der Arzneispezialität.
    `String` | `getPrice()` KVP (Kassenverkaufspreis) der Arzneispezialität in Euro.
    `String` | `getPricePerUnit()` KVP (Kassenverkaufspreis) der Arzneispezialität in Euro pro Einheit.
    `String` | `getRegisterNumber()` Registernummer der Arzneispezialität.
    `String` | `getRegisterNumberPrefix()` Registernummerprefix der Arzneispezialität.
    `String` | `getRuleText()` Regeltext der Arzneispezialität.
    `String` | `getRuleTextHTMLFormatted()` Regeltext der Arzneispezialität in HTML Format.
    `void` | `setAmount(String amount)`
    `void` | `setAtcCode(String atcCode)`
    `void` | `setBox(String box)`
    `void` | `setDispensingCount(String dispensingCount)`
    `void` | `setDivisibility(String divisibility)`
    `void` | `setDosageForm(String dosageForm)`
    `void` | `setHealthInsuranceSign(String healthInsuranceSign)`
    `void` | `setIEKOIngredient(IEKOIngredient[] iEKOIngredient)`
    `void` | `setIndicationText(String indicationText)`
    `void` | `setIndicationTextHTMLFormatted(String indicationTextHTMLFormatted)`
    `void` | `setInformationText(String informationText)`
    `void` | `setIngredientInformation(String ingredientInformation)`
    `void` | `setIngredientName(String ingredientName)`
    `void` | `setIngredientNarcoticSign(String ingredientNarcoticSign)`
    `void` | `setLongTermPermission(String longTermPermission)`
    `void` | `setMedicamentName(String medicamentName)`
    `void` | `setPackageInformation(String packageInformation)`
    `void` | `setPackageNumber(String packageNumber)`
    `void` | `setPharmaNumber(String pharmaNumber)`
    `void` | `setPreismodell(String preismodell)`
    `void` | `setPrescriptionRequirementDescription(String prescriptionRequirementDescription)`
    `void` | `setPrice(String price)`
    `void` | `setPricePerUnit(String pricePerUnit)`
    `void` | `setRegisterNumber(String registerNumber)`
    `void` | `setRegisterNumberPrefix(String registerNumberPrefix)`
    `void` | `setRuleText(String ruleText)`
    `void` | `setRuleTextHTMLFormatted(String ruleTextHTMLFormatted)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IEKOMedicament

          public IEKOMedicament()

  - ### Method Detail

    - #### getPharmaNumber

          public String getPharmaNumber()

      Die Pharmanummer der Arzneispezialität. Format: numerisch, 7-stellig.
      Returns:
        Pharmanummer

    - #### getRegisterNumberPrefix

          public String getRegisterNumberPrefix()

      Registernummerprefix der Arzneispezialität. Format: 6-stellig.
      Returns:
        RegisterNumberPrefix

    - #### getRegisterNumber

          public String getRegisterNumber()

      Registernummer der Arzneispezialität. Format: 2-stellig.
      Returns:
        RegisterNumber

    - #### getPackageNumber

          public String getPackageNumber()

      Packungsnummer der Arzneispezialität. Format: 3-stellig.
      Returns:
        PackageNumber

    - #### getMedicamentName

          public String getMedicamentName()

      Name der Arzneispezialität. Format: max 100-stellig.
      Returns:
        MedicamentName

    - #### getBox

          public String getBox()

      Boxenzuordnung der Arzneispezialität (grüne oder gelbe Box). Format: 3-stellig.
      Returns:
        Box

    - #### getHealthInsuranceSign

          public String getHealthInsuranceSign()

      Kassenzeichen der Arzneispezialität. Format: 5-stellig.
      Returns:
        HealthInsuranceSign

    - #### getAmount

          public String getAmount()

      Menge und Mengenart der Arzneispezialität. Format: 8-stellig.
      Returns:
        Amount

    - #### getPrice

          public String getPrice()

      KVP (Kassenverkaufspreis) der Arzneispezialität in Euro. Format: 10-stellig.
      Returns:
        price

    - #### getPricePerUnit

          public String getPricePerUnit()

      KVP (Kassenverkaufspreis) der Arzneispezialität in Euro pro Einheit. Format: 10-stellig.
      Returns:
        PricePerUnit

    - #### getDosageForm

          public String getDosageForm()

      Dareichungsform der Arzneispezialität. Format: 9-stellig.
      Returns:
        DosageForm

    - #### getDivisibility

          public String getDivisibility()

      Teilbarkeit der Arzneispezialität. Format: 9-stellig.
      Returns:
        Divisibility

    - #### getPreismodell

          public String getPreismodell()

      Preismodell der Arzneispezialität. Format: 3-stellig.
      Returns:
        Preismodell

    - #### getDispensingCount

          public String getDispensingCount()

      Abgabeanzahl der Arzneispezialität. Format: 3-stellig. Hinweis: ist dieser Parameter nicht befüllt, bedeutet dies eine Abgabemenge von "1"
      Returns:
        DispensingCount

    - #### getPackageInformation

          public String getPackageInformation()

      Hinweis zur Packung der Arzneispezialität. Format: 28-stellig.
      Returns:
        PackageInformation

    - #### getInformationText

          public String getInformationText()

      Hinweistext der Arzneispezialität. Format:max 3000-stellig.
      Returns:
        InformationText

    - #### getRuleText

          public String getRuleText()

      Regeltext der Arzneispezialität. Format:max 4000-stellig.
      Returns:
        RuleText

    - #### getIndicationText

          public String getIndicationText()

      Indikationstextext der Arzneispezialität. Format:max 4000-stellig.
      Returns:
        IndicationText

    - #### getAtcCode

          public String getAtcCode()

      Der ATC-Code des Hauptwirkstoffes der Arzneispezialität. Format: 7-stellig. Hinweis: Bei Mono-Präparaten werden die Detaildaten zum einzigen Wirkstoff zurückgeliefert (dieser entspricht dem Hauptwirkstoff), bei Kombipräparaten werden alle Detaildaten der Wirkstoffe zurückgeliefert, die durch den Hauptwirkstoff zusammencodiert sind.
      Returns:
        AtcCode

    - #### getIngredientName

          public String getIngredientName()

      Der Name (die Bedeutung) des Wirkstoffes. Format: max 200-stellig.
      Returns:
        IngredientName

    - #### getIngredientInformation

          public String getIngredientInformation()

      Informationen zu den Wirkstoff(en) in der Arzneispezialität. Format: max 300-stellig.
      Returns:
        IngredientInformation

    - #### getPrescriptionRequirementDescription

          public String getPrescriptionRequirementDescription()

      Rezeptpflichtbezeichnung der Arzneispezialität. Format: max 60-stellig.
      Returns:
        PrescriptionRequirementDescription

    - #### getIEKOIngredient

          public IEKOIngredient[] getIEKOIngredient()

      Beinhaltet die Detaildaten der Wirkstoffe zur Arzneispezialität.
      Returns:
        IEKOIngredient[]

    - #### getIngredientNarcoticSign

          public String getIngredientNarcoticSign()

      Suchtgift Vignette der Arzneispezialität. Format: max. 3-stellig
      Returns:
        IngredientNarcoticSign

    - #### getLongTermPermission

          public String getLongTermPermission()

      Langzeitbewilligung-Kennzeichnung der Arzneispezialität. Format: max. 3-stellig
      Returns:
        LongTermPermission

    - #### getIndicationTextHTMLFormatted

          public String getIndicationTextHTMLFormatted()

      Indikationstext der Arzneispezialität in HTML Format. Format:max 4000-stellig.
      Returns:
        IndicationTextHTMLFormatted

    - #### getRuleTextHTMLFormatted

          public String getRuleTextHTMLFormatted()

      Regeltext der Arzneispezialität in HTML Format. Format:max 4000-stellig.
      Returns:
        RuleTextHTMLFormatted

    - #### setPharmaNumber

          public void setPharmaNumber(String pharmaNumber)

    - #### setRegisterNumberPrefix

          public void setRegisterNumberPrefix(String registerNumberPrefix)

    - #### setRegisterNumber

          public void setRegisterNumber(String registerNumber)

    - #### setPackageNumber

          public void setPackageNumber(String packageNumber)

    - #### setMedicamentName

          public void setMedicamentName(String medicamentName)

    - #### setBox

          public void setBox(String box)

    - #### setHealthInsuranceSign

          public void setHealthInsuranceSign(String healthInsuranceSign)

    - #### setAmount

          public void setAmount(String amount)

    - #### setPrice

          public void setPrice(String price)

    - #### setPricePerUnit

          public void setPricePerUnit(String pricePerUnit)

    - #### setDosageForm

          public void setDosageForm(String dosageForm)

    - #### setDivisibility

          public void setDivisibility(String divisibility)

    - #### setPreismodell

          public void setPreismodell(String preismodell)

    - #### setDispensingCount

          public void setDispensingCount(String dispensingCount)

    - #### setPackageInformation

          public void setPackageInformation(String packageInformation)

    - #### setInformationText

          public void setInformationText(String informationText)

    - #### setRuleText

          public void setRuleText(String ruleText)

    - #### setIndicationText

          public void setIndicationText(String indicationText)

    - #### setAtcCode

          public void setAtcCode(String atcCode)

    - #### setIngredientName

          public void setIngredientName(String ingredientName)

    - #### setIngredientInformation

          public void setIngredientInformation(String ingredientInformation)

    - #### setPrescriptionRequirementDescription

          public void setPrescriptionRequirementDescription(String prescriptionRequirementDescription)

    - #### setIEKOIngredient

          public void setIEKOIngredient(IEKOIngredient[] iEKOIngredient)

    - #### setIngredientNarcoticSign

          public void setIngredientNarcoticSign(String ingredientNarcoticSign)

    - #### setLongTermPermission

          public void setLongTermPermission(String longTermPermission)

    - #### setIndicationTextHTMLFormatted

          public void setIndicationTextHTMLFormatted(String indicationTextHTMLFormatted)

    - #### setRuleTextHTMLFormatted

          public void setRuleTextHTMLFormatted(String ruleTextHTMLFormatted)